Cyberduck Mountain Duck CLI

#10482 closed defect (thirdparty)

Interoperability with OpenLink Virtuoso

Reported by: TallTed Owned by:
Priority: high Milestone:
Component: webdav Version: 6.8.0
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description

Listing directory Editorial_Processing failed.
Not a valid DAV response (207 Multi-Status). Please contact your web hosting service provider for assistance.

This occurs when trying to drill down in some directories, and when trying to copy into some initial mountpoints.

Please see RFC 4918: HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)

PROPFIND /DAV/home/tthibodeau/Public/Editorial_Processing/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 242
Host: oplussol11.intranet.openlinksw.com:8890
Connection: Keep-Alive
User-Agent: Cyberduck/6.8.0.28825 (Mac OS X/10.10.5) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: ********
HTTP/1.1 207 Multi-Status
Server: Virtuoso/08.01.3308 (Linux) x86_64-redhat-linux-gnu-ANALYTICS  VDB
Connection: Keep-Alive
Date: Wed, 03 Oct 2018 01:49:08 GMT
Accept-Ranges: bytes
Content-type: text/xml; charset="utf-8"
Content-Length: 19167

The target WebDAV server is OpenLink Virtuoso Enterprise Edition running on Linux. If helpful, you can put your own test instance on Linux, Windows, or macOS. A two-week trial license will be provided with installer download; I can extend this as/if needed. (The only think to change is the license file; all software, configuration, etc., will remain in place.)

Open Source Edition (VOS) may also be suitable for a test deployment. Prebuilt binaries are available, as is full source.

Change History (10)

comment:1 Changed on Oct 3, 2018 at 2:04:06 AM by TallTed

  • Version changed from 6.7.1 to 6.8.0

comment:2 Changed on Oct 3, 2018 at 7:46:41 AM by yla

  • Severity changed from blocker to major

Any chance to post a transcript when executing PROPFIND /DAV/home/tthibodeau/Public/Editorial_Processing/ from the command line using curl? I'd like to see the full XML response.

comment:3 Changed on Oct 3, 2018 at 7:47:45 AM by yla

  • Summary changed from "Not a valid DAV response (207 Multi-Status)" but 207 plays major part in RFC 4918 to Interoperability with OpenLink Virtuoso

comment:4 Changed on Oct 3, 2018 at 1:50:48 PM by TallTed

@yla -- As requested...

There's no difference between this and the output for a folder which Cyberduck opens successfully, except the expected (i.e., timestamps, href, etag...)

$ curl -iX PROPFIND http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/ 
HTTP/1.1 207 Multi-Status
Server: Virtuoso/08.01.3308 (Linux) x86_64-redhat-linux-gnu-ANALYTICS  VDB
Connection: Keep-Alive
Date: Wed, 03 Oct 2018 13:41:12 GMT
Accept-Ranges: bytes
Content-type: text/xml; charset="utf-8"
Content-Length: 1169

<?xml version="1.0" encoding="utf-8"?>
<D:multistatus xmlns:D="DAV:" xmlns:M="urn:uuid:c2f41010-65b3-11d1-a29f-00aa00c14882/">
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/</D:href>
<D:propstat>
<D:prop>
<D:displayname>Editorial_Processing</D:displayname>
<D:getlastmodified>Wed, 21 Feb 2018 13:36:15 GMT</D:getlastmodified>
<D:creationdate>2014-10-20T14:53:31.937637-04:00</D:creationdate>
<D:getetag>"1f16d2aa1995fd6c9fbd2b81690ed248"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
</D:multistatus>

comment:5 Changed on Oct 3, 2018 at 3:55:23 PM by yla

Unable to generate a license

Sorry we ran into an error
Failed to create parent collection &quot;/DAV/home/(NULL)/&quot; (-13).

comment:6 Changed on Oct 3, 2018 at 5:42:16 PM by yla

In the meantime I did some testing with the open source version 7.2. I was unable to replicate the issue with directory listing. The XML from the curl request you've posted looks fine but the content length is not the same as the original response above (1169 vs. 19167). It looks like you have emptied the folder. I would need a multistatus response that Cyberduck is unable to process. Aside from that there seem to be a server side issue when using PROPPATCH to set custom properties after an upload. The response is missing the href element which leads to an error message in Cyberduck. According to the spec this element is mandatory.

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<multistatus xmlns="DAV:">
    <response>
        <propstat>
            <prop>
                <n2:lastmodified_server
                    xmlns:n2="SAR:"/>
            </prop>
            <status>HTTP/1.1 200 OK</status>
        </propstat>
        <propstat>
            <prop>
                <n2:lastmodified xmlns:n2="SAR:"/>
            </prop>
            <status>HTTP/1.1 200 OK</status>
        </propstat>
    </response>
</multistatus>

comment:7 Changed on Oct 3, 2018 at 7:10:42 PM by TallTed

Sorry for the hiccup. Looks like someone pushed an unrelated patch, and didn't check all its dependents.

To get Enterprise Edition (v7.2 or 8.1), please revisit the download page, and use the "login" link at upper right. You can use any of your existing social logins through the buttons in the dialog that comes up, or click Register to create a new user account on the OpenLink download & shop system. Then pick the version you want to test, and your preferred OS, and the rest should be clear. (Note that a license for v8 will permit use of either v8 or v7.)

---

It appears to me that some request header is not being shown in the Cyberduck log pane, as I consistently get the 19167 size when trying to open that directory with Cyberduck, and the 1169 size running PROPFIND through curl, and the directory is definitely not empty.

I am relaying the issue with PROPPATCH to the Virtuoso dev team.

comment:8 Changed on Oct 4, 2018 at 6:46:43 AM by yla

The equivalent curl command as issued by Cyberduck would be:

curl -u username:password -i -X PROPFIND http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/ --upload-file - -H "Depth: 1" <<end
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<propfind
    xmlns="DAV:">
    <prop>
        <creationdate/>
        <displayname/>
        <getcontentlength/>
        <getcontenttype/>
        <getetag/>
        <getlastmodified/>
        <resourcetype/>
        <s:lastmodified xmlns:s="SAR:"/>
    </prop>
</propfind>
end

Can you please execute this one?

comment:9 Changed on Oct 4, 2018 at 3:06:49 PM by TallTed

HTTP/1.1 207 Multi-Status
Server: Virtuoso/08.01.3308 (Linux) x86_64-redhat-linux-gnu-ANALYTICS  VDB
Connection: Keep-Alive
Date: Thu, 04 Oct 2018 15:04:03 GMT
Accept-Ranges: bytes
Content-type: text/xml; charset="utf-8"
Content-Length: 25567

<?xml version="1.0" encoding="utf-8"?>
<D:multistatus xmlns:D="DAV:" xmlns:M="urn:uuid:c2f41010-65b3-11d1-a29f-00aa00c14882/">
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/</D:href>
<D:propstat>
<D:prop>
<D:displayname>Editorial_Processing</D:displayname>
<D:getlastmodified>Wed, 21 Feb 2018 13:36:15 GMT</D:getlastmodified>
<D:creationdate>2014-10-20T14:53:31.937637-04:00</D:creationdate>
<D:getetag>"1f16d2aa1995fd6c9fbd2b81690ed248"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/rdf_editor_pkg.zip</D:href>
<D:propstat>
<D:prop>
<D:displayname>rdf_editor_pkg.zip</D:displayname>
<D:getlastmodified>Thu, 21 Jan 2016 14:29:42 GMT</D:getlastmodified>
<D:creationdate>2016-01-21T09:29:42.506922-05:00</D:creationdate>
<D:getetag>"7041082e3ca2d7ed81ba9671b3c952bc"</D:getetag>
<D:getcontenttype>application/zip</D:getcontenttype>
<D:getcontentlength>575921</D:getcontentlength>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype/>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/._rdf-editor%20FROM%20S3</D:href>
<D:propstat>
<D:prop>
<D:displayname>._rdf-editor FROM S3</D:displayname>
<D:getlastmodified>Thu, 21 Jan 2016 14:29:43 GMT</D:getlastmodified>
<D:creationdate>2016-01-21T09:29:43.373126-05:00</D:creationdate>
<D:getetag>"ec3eddd63371642fbd8c9441db569107"</D:getetag>
<D:getcontenttype>application/octet-stream</D:getcontenttype>
<D:getcontentlength>4096</D:getcontentlength>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype/>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/2018-06-22%20virtuoso%20matrix/</D:href>
<D:propstat>
<D:prop>
<D:displayname>2018-06-22 virtuoso matrix</D:displayname>
<D:getlastmodified>Fri, 22 Jun 2018 15:24:24 GMT</D:getlastmodified>
<D:creationdate>2018-06-22T13:41:29.574337</D:creationdate>
<D:getetag>"c16a37511517c726c4300ce9f0931501"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/2018-06-24%20virtuoso%20matrix/</D:href>
<D:propstat>
<D:prop>
<D:displayname>2018-06-24 virtuoso matrix</D:displayname>
<D:getlastmodified>Mon, 25 Jun 2018 17:32:49 GMT</D:getlastmodified>
<D:creationdate>2018-06-25T16:49:20.046808</D:creationdate>
<D:getetag>"dac1de243381b9e76fa47b1af58632d7"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
<V:SAR::lastmodified/>
<V:SAR::lastmodified_server/>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/2018-06-26%20dbms%20comparison/</D:href>
<D:propstat>
<D:prop>
<D:displayname>2018-06-26 dbms comparison</D:displayname>
<D:getlastmodified>Mon, 02 Jul 2018 09:31:30 GMT</D:getlastmodified>
<D:creationdate>2018-06-27T14:20:11.117320</D:creationdate>
<D:getetag>"754bde1cf2bd248aad31d0665265b117"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/2018-07-02%20dbms%20comparison/</D:href>
<D:propstat>
<D:prop>
<D:displayname>2018-07-02 dbms comparison</D:displayname>
<D:getlastmodified>Mon, 02 Jul 2018 12:48:38 GMT</D:getlastmodified>
<D:creationdate>2018-07-02T12:38:38.905377</D:creationdate>
<D:getetag>"2bb42072ded0dd4adad1cb3ff58ead67"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/2018-08-01%20installers/</D:href>
<D:propstat>
<D:prop>
<D:displayname>2018-08-01 installers</D:displayname>
<D:getlastmodified>Wed, 01 Aug 2018 12:19:31 GMT</D:getlastmodified>
<D:creationdate>2018-08-01T09:35:18.828894</D:creationdate>
<D:getetag>"fdd6823c86bf35a57cbd0cad374401eb"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/2018-09-04%20Virtuoso%20Custom%20Inference%20&amp;%20Reasoning%20%20deck/</D:href>
<D:propstat>
<D:prop>
<D:displayname>2018-09-04 Virtuoso Custom Inference &amp; Reasoning  deck</D:displayname>
<D:getlastmodified>Tue, 04 Sep 2018 22:28:34 GMT</D:getlastmodified>
<D:creationdate>2018-09-04T22:28:31.587996</D:creationdate>
<D:getetag>"5746476af7e43fe74bffed8be0829c09"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/OSDE-0-1-7_2016-04-04/</D:href>
<D:propstat>
<D:prop>
<D:displayname>OSDE-0-1-7_2016-04-04</D:displayname>
<D:getlastmodified>Mon, 04 Apr 2016 15:46:23 GMT</D:getlastmodified>
<D:creationdate>2016-03-17T11:27:07.053792-04:00</D:creationdate>
<D:getetag>"af8c6a67db6bcde3663742ffde20a1b5"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/OSDE-0-1-7_git98_2016-08-05/</D:href>
<D:propstat>
<D:prop>
<D:displayname>OSDE-0-1-7_git98_2016-08-05</D:displayname>
<D:getlastmodified>Tue, 09 Aug 2016 15:39:01 GMT</D:getlastmodified>
<D:creationdate>2016-08-09T11:39:01.221498-04:00</D:creationdate>
<D:getetag>"2834f8b861936bcfa0b625d2f8fd08e7"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
<V:DAV::lastmodified/>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/OSDS-2-14-1_2017-03-09/</D:href>
<D:propstat>
<D:prop>
<D:displayname>OSDS-2-14-1_2017-03-09</D:displayname>
<D:getlastmodified>Fri, 10 Mar 2017 01:00:15 GMT</D:getlastmodified>
<D:creationdate>2017-03-09T20:00:15.058482-05:00</D:creationdate>
<D:getetag>"cbf3971c8135a2e3e6ce1ba5426f0e88"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/OSDS-2-15-10_2018-01-26/</D:href>
<D:propstat>
<D:prop>
<D:displayname>OSDS-2-15-10_2018-01-26</D:displayname>
<D:getlastmodified>Fri, 26 Jan 2018 17:23:36 GMT</D:getlastmodified>
<D:creationdate>2018-01-26T17:23:35.321255</D:creationdate>
<D:getetag>"59314fcd588ee255b11072ee1264aba3"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
<V:DAV::lastmodified/>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/OSDS-2-8-0_2016-02-26/</D:href>
<D:propstat>
<D:prop>
<D:displayname>OSDS-2-8-0_2016-02-26</D:displayname>
<D:getlastmodified>Mon, 29 Feb 2016 16:27:54 GMT</D:getlastmodified>
<D:creationdate>2015-12-16T15:27:21.041973-05:00</D:creationdate>
<D:getetag>"e076b5272bacaf90d9b10967b69a0627"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/OSDS-2-9-0_2016-03-11/</D:href>
<D:propstat>
<D:prop>
<D:displayname>OSDS-2-9-0_2016-03-11</D:displayname>
<D:getlastmodified>Fri, 11 Mar 2016 16:24:12 GMT</D:getlastmodified>
<D:creationdate>2016-02-29T11:26:32.821169-05:00</D:creationdate>
<D:getetag>"c52934cc29c0d1fea2db584ae8b6653e"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/OSDS-2-9-0_2016-05-19/</D:href>
<D:propstat>
<D:prop>
<D:displayname>OSDS-2-9-0_2016-05-19</D:displayname>
<D:getlastmodified>Thu, 19 May 2016 16:40:27 GMT</D:getlastmodified>
<D:creationdate>2016-05-19T12:40:27.393198-04:00</D:creationdate>
<D:getetag>"a08d6b49aa3e6e228f7be5dfb1d850e0"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/customer%20logos/</D:href>
<D:propstat>
<D:prop>
<D:displayname>customer logos</D:displayname>
<D:getlastmodified>Tue, 02 Oct 2018 22:19:13 GMT</D:getlastmodified>
<D:creationdate>2018-09-12T20:12:20.012078</D:creationdate>
<D:getetag>"b68c8bda5f95092a445a26ecf09fbfff"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/glossary_2016-03-04/</D:href>
<D:propstat>
<D:prop>
<D:displayname>glossary_2016-03-04</D:displayname>
<D:getlastmodified>Fri, 04 Mar 2016 17:09:32 GMT</D:getlastmodified>
<D:creationdate>2016-03-02T11:57:55.325873-05:00</D:creationdate>
<D:getetag>"6bf0d61187ed6eb63d4db1339145558d"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/glossary_2016-03-11/</D:href>
<D:propstat>
<D:prop>
<D:displayname>glossary_2016-03-11</D:displayname>
<D:getlastmodified>Fri, 11 Mar 2016 17:38:03 GMT</D:getlastmodified>
<D:creationdate>2016-03-09T10:51:21.255650-05:00</D:creationdate>
<D:getetag>"c353bfb2078f421b047d7c7caed5392b"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/rdf-editor%20FROM%20S3/</D:href>
<D:propstat>
<D:prop>
<D:displayname>rdf-editor FROM S3</D:displayname>
<D:getlastmodified>Thu, 21 Jan 2016 14:29:40 GMT</D:getlastmodified>
<D:creationdate>2016-01-21T09:29:40.559260-05:00</D:creationdate>
<D:getetag>"caf29f91a3980c07d08965d4128f4895"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/uda-acct-mgr-reintro-2016-02-26/</D:href>
<D:propstat>
<D:prop>
<D:displayname>uda-acct-mgr-reintro-2016-02-26</D:displayname>
<D:getlastmodified>Fri, 26 Feb 2016 14:34:45 GMT</D:getlastmodified>
<D:creationdate>2016-02-26T09:34:45.238843-05:00</D:creationdate>
<D:getetag>"f468a3620cf86c2fa120f7aac01ae808"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/uda7-press-release_2016-02-24/</D:href>
<D:propstat>
<D:prop>
<D:displayname>uda7-press-release_2016-02-24</D:displayname>
<D:getlastmodified>Wed, 24 Feb 2016 14:45:02 GMT</D:getlastmodified>
<D:creationdate>2016-02-19T12:37:16.909707-05:00</D:creationdate>
<D:getetag>"cf222d937fdbb007ce07363ffb2a8af2"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/virt722-press-release_2016-02-24/</D:href>
<D:propstat>
<D:prop>
<D:displayname>virt722-press-release_2016-02-24</D:displayname>
<D:getlastmodified>Wed, 24 Feb 2016 14:44:09 GMT</D:getlastmodified>
<D:creationdate>2016-02-19T10:15:59.427769-05:00</D:creationdate>
<D:getetag>"95bd15261ccac16706ef3913dffe4170"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
<D:response xmlns:D="DAV:" xmlns:i0="DAV:" xmlns:V="http://www.openlinksw.com/virtuoso/webdav/1.0/">
<D:href>/DAV/home/tthibodeau/Public/Editorial_Processing/virt722-whats-new_2016-02-17/</D:href>
<D:propstat>
<D:prop>
<D:displayname>virt722-whats-new_2016-02-17</D:displayname>
<D:getlastmodified>Wed, 17 Feb 2016 18:52:22 GMT</D:getlastmodified>
<D:creationdate>2016-02-17T13:52:22.990595-05:00</D:creationdate>
<D:getetag>"ddfda095704b84bb0bdbb2d3e12f7c1f"</D:getetag>
<D:getcontenttype>dav/unix-directory</D:getcontenttype>
<D:resource-id>http://oplussol11.intranet.openlinksw.com:8890/DAV/home/tthibodeau/Public/Editorial_Processing/</D:resource-id>
<D:resourcetype><D:collection/></D:resourcetype>
<D:lockdiscovery></D:lockdiscovery><D:supportedlock>
<D:lockentry>
<D:lockscope><D:exclusive/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
<D:lockentry>
<D:lockscope><D:shared/></D:lockscope>
<D:locktype><D:write/></D:locktype>
</D:lockentry>
</D:supportedlock>
</D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>
</D:multistatus>

comment:10 Changed on Oct 5, 2018 at 6:30:21 AM by yla

  • Resolution set to thirdparty
  • Status changed from new to closed

Thanks! This is also a server side issue responding with an invalid XML. There is something wrong with the handling of custom properties for a file in this folder which are set by Cyberduck after an upload:

<V:SAR::lastmodified/>
<V:SAR::lastmodified_server/>

My test instance (and probably most of your folders) correctly returns the custom properties as follows:

<n0:lastmodified xmlns:n0="SAR:">Tue, 25 Sep 2018 15:14:36 UTC</n0:lastmodified>
<n0:lastmodified_server xmlns:n0="SAR:">Wed, 03 Oct 2018 18:15:46 UTC</n0:lastmodified_server>

It would be great if you could forward this issue to the dev team too.

Note: See TracTickets for help on using tickets.
swiss made software